# Class KllDoublesSketchIterator

java.lang.Object
org.apache.datasketches.kll.KllSketchIterator
org.apache.datasketches.kll.KllDoublesSketchIterator

All Implemented Interfaces:
  `QuantilesDoublesSketchIteratorAPI, QuantilesSketchIteratorAPI`

public final class KllDoublesSketchIterator extends KllSketchIterator implements QuantilesDoublesSketchIteratorAPI
Iterator over KllDoublesSketch. The order is not defined.

## Method Summary

Modifier and Type
Method
Description
`double`
`getQuantile()`
Gets the double quantile at the current index.

### Methods inherited from class KllSketchIterator

`getWeight, next`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface QuantilesSketchIteratorAPI

`getWeight, next`

## Method Details

### getQuantile

public double getQuantile()
Description copied from interface: `QuantilesDoublesSketchIteratorAPI`
Gets the double quantile at the current index.

Don't call this before calling next() for the first time or after getting false from next().

Specified by:
  `getQuantile` in interface `QuantilesDoublesSketchIteratorAPI`
Returns:
  the double quantile at the current index.